ATA_DO_SIMPLE_CMD(9)

NAME
ata_do_simple_cmd - execute simple internal command

SYNOPSIS

unsigned int ata_do_simple_cmd(struct ata_device * dev, u8 cmd);

ARGUMENTS

dev
    Device to which the command is sent

cmd
    Opcode to execute

DESCRIPTION

Execute a 'simple' command, that only consists of the opcode 'cmd' itself, without filling any other registers

LOCKING

Kernel thread context (may sleep).

RETURNS

Zero on success, AC_ERR_* mask on failure

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT